Bug 835433 - Option 'passwordvalidto' under graphics configuration in virt-install could not be used
Option 'passwordvalidto' under graphics configuration in virt-install could n...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst (Show other bugs)
6.3
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: virt-mgr-maint
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 03:39 EDT by Cui Lei
Modified: 2013-04-17 22:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 15:32:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-install debug log (7.17 KB, application/octet-stream)
2012-06-26 03:39 EDT, Cui Lei
no flags Details

  None (edit)
Description Cui Lei 2012-06-26 03:39:50 EDT
Created attachment 594377 [details]
virt-install debug log

Description of problem:
Option 'passwordvalidto' in graphics configuration could not be used in virt-install command.
Here is related command and output:

virt-install -n demo2 -r 1024 --disk path=/tmp/demo2.img,size=5,perms='rw' --graphics type=vnc,password='123456',passwordvalidto='2011-04-01T14:30:15' -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.2/Server/x86_64/os/

Starting install...
Retrieving file .treeinfo...                                                                                                                                                            | 3.3 kB     00:00 ...
Retrieving file vmlinuz...                                                                                                                                                              | 7.5 MB     00:00 ...
Retrieving file initrd.img...                                                                                                                                                           |  56 MB     00:00 ...
ERROR    (domain_definition):33: attributes construct error
    <graphics type='vnc' port='-1' passwd='123456'passwdValidTo='2011-04-01T14:30:15'/>
--------------------------------------------------^
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start demo2
otherwise, please restart your installation.

Debug log please refer to attached log.


Version-Release number of selected component (if applicable):

python-virtinst-0.600.0-8.el6.noarch
qemu-kvm-0.12.1.2-2.295.el6.x86_64
libvirt-0.9.10-21.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run virt-install command with passwordvalidto option, such as:
virt-install -n demo2 -r 1024 --disk path=/tmp/demo2.img,size=5,perms='rw' --graphics type=vnc,password='123456',passwordvalidto='2011-04-01T14:30:15' -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.2/Server/x86_64/os/
2. check the output

Actual results:
Error output, which hint
"ERROR    (domain_definition):33: attributes construct error
    <graphics type='vnc' port='-1' passwd='123456'passwdValidTo='2011-04-01T14:30:15'/>
--------------------------------------------------^"

Expected results:
The command should be executed successfully

Additional Info:
Downgrade python-virtinst and libvirt, issue could be reproduced.
python-virtinst-0.600.0-5.el6.noarch
libvirt-0.9.4-23.el6.x86_64
Comment 1 Cole Robinson 2012-07-08 18:27:21 EDT
Thanks for the report, fixed upstream:

http://git.fedorahosted.org/git?p=python-virtinst.git;a=commit;h=8abe73ca3a7d35eb034007f2a0250a6a76c41ca3

Note You need to log in before you can comment on or make changes to this bug.